/**
  ******************************************************************************
  * @file    Project/STM32F10x_StdPeriph_Template/main.c 
  * @author  MCD Application Team
  * @version V3.5.0
  * @date    08-April-2011
  * @brief   Main program body
  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2011 STMicroelectronics</center></h2>
  ******************************************************************************
  */  

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"
#include <ALL_INCL.h>



/* Private typedef -----------------------------------------------------------*/
typedef enum {FAILED = 0, PASSED = !FAILED} TestStatus;

/* Private define ------------------------------------------------------------*/

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
u8 PRINT_SELECT_TEST=0;

/* Private function prototypes -----------------------------------------------*/
#ifdef __GNUC__
  /* With GCC/RAISONANCE, small printf (option LD Linker->Libraries->Small printf
     set to 'Yes') calls __io_putchar() */
  #define PUTCHAR_PROTOTYPE int __io_putchar(int ch)
#else
  #define PUTCHAR_PROTOTYPE int fputc(int ch, FILE *f)
#endif /* __GNUC__ */

/* Private functions ---------------------------------------------------------*/
void RCC_Configuration_1(void);
void GPIO_Configuration_1(void);
void NVIC_Configuration(void);



int main(void) 
{
u8 i=0;
  
  
RCC_Configuration();
//RCC_Configuration_1();
 //NVIC_Configuration();
//GPIO_Configuration_1();
GPIO_Configuration();
Init_USART1();

 cls();

  
  
 // printf("HADI=%2.2F",120.23);
   LCD_COM(2);
  while (1)
  {
    i++;
  PRINT_SELECT_TEST=1;  
  LCD_COM(LCD_LINE1);
  printf("HADI=%u          ",i);
  delay_ms(500);
  PRINT_SELECT_TEST=2;
  printf("HADI=%u          \n\r",i);
  delay_ms(500);
  }
}








































PUTCHAR_PROTOTYPE
{
 
 if(PRINT_SELECT_TEST==1) LCD_DATA( (u8)ch);
 if(PRINT_SELECT_TEST==2) {
                           USART_SendData(USART1, (u8) ch);
                           while(USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET){};                                 
 }
  return ch;
}















void RCC_Configuration_1(void)
{  

  /* Enable peripheral clocks ------------------------------------------------*/
  /* Enable DMA1 clock */
 
}



//*************************************************************************************
void GPIO_Configuration_1(void)
{

 //GPIO_InitTypeDef GPIO_InitStructure;


}
//******************************************************************************************

void NVIC_Configuration(void)
{
 // NVIC_InitTypeDef NVIC_InitStructure;

}









#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
